<?php
include "ChatConfig.php";
function send($msg)
{
    $token = "bot86974:d551b00b-9d8e-4432-9443-48e44be36081";
    $chat_id = 8275443;
    $request = curl_init("https://eitaayar.ir/api/" . $token . "/sendMessage");
    curl_setopt($request, CURLOPT_POST, true);
    curl_setopt($request, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($request, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($request, CURLOPT_POSTFIELDS, [
        "chat_id" => $chat_id,
        "text" => $msg,
        "date" => 0,
        "parse_mode" => "",
        "viewCountForDelete" => "",
    ]);
    curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
    return curl_exec($request);
    curl_close($request);
}
include_once "jdf.php";
$message = "📎کد داوطلبی، داوطلبانی که امروز در پلتفرم، گزارش روزانه خود را ارسال نکردند.

⭕کد داوطلبی:
";
$sqiol = "SELECT * FROM groups";
$userjks = $connection->query($sqiol);
foreach ($userjks as $roojw) {
    if ($roojw["number"] !== "5") {
        if ($roojw["number"] !== "4") {
            $sqls = "SELECT * FROM users WHERE number=" . $roojw["number"];
            $userss = $connection->query($sqls);
            $message .= "
🔺 $roojw[name]: \n";
            foreach ($userss as $rows) {
                $query_chattu = $connection->prepare(
                    "SELECT MAX(id) FROM group_$roojw[number] WHERE username=:username"
                );
                $query_chattu->bindParam(
                    "username",
                    $rows["username"],
                    PDO::PARAM_STR
                );
                $query_chattu->execute();
                $result_chat_userui = $query_chattu->fetch(PDO::FETCH_ASSOC);
                $query_chattuu = $connection->prepare(
                    "SELECT * FROM group_$roojw[number] WHERE id=:id"
                );
                $query_chattuu->bindParam(
                    "id",
                    $result_chat_userui["MAX(id)"],
                    PDO::PARAM_STR
                );
                $query_chattuu->execute();
                $result_chat_useruii = $query_chattuu->fetch(PDO::FETCH_ASSOC);
                if (
                    strpos($result_chat_useruii["time"], jdate("j F Y")) ==
                    false
                ) {
                    if ($result_chat_useruii["username"] !== null) {
                        list($Fname, $Lname) = explode(" ", $rows["name"], 2);
                        $message .= "📍 $result_chat_useruii[username] (خانم/آقا $Lname) \n";
                    }
                }
            }
        }
    }
}
$message .= "

🔴افرادی که بیش از 2 بار غیبت داشته باشند از پلتفرم حذف میشوند.

⚠باز گشت این عزیزان در پلتفرم و برخورداری ایشان از قابلیت ها و برنامه های ویژه ما در پلتفرم اختصاصی دکتر سیامک حیدری همراه با هزینه خواهد بود.

با تشکر:
🔰مسئول فنی سایت دکتر سیامک حیدری.
@drsiamakheydari";
send($message);
echo "OK!";
